Reference / Os Access

Revoke an OS session — kills the underlying Identra session; the host tears down the live login.

DELETE /v1/os/sessions/{id}
Secret API key operationId: revoke_session

Authorization

Server-to-server. Send a secret key as a Bearer token plus the x-application-id header.

Path parameters

  • id string<uuid> required

    OS session id

Responses

200 Revoked
{
  "data": {
    "channel": "string",
    "host_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
    "id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
    "identity_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
    "last_seen_at": "2026-01-15T09:30:00Z",
    "revoked_at": "2026-01-15T09:30:00Z",
    "session_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
    "started_at": "2026-01-15T09:30:00Z",
    "status": "string",
    "user_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f"
  },
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "timestamp": "string"
  },
  "success": false
}
404 Not found

Request

curl -X DELETE "https://api.identrahq.com/v1/os/sessions/018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f" \

Try it

live request
DELETE https://api.identrahq.com/v1/os/sessions/018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f

Path parameters